#Laden der Library
library(ggvis)

# %>% ist das Pipe symbol bergibt die Variable links davon als ersten
# Parameter an die Funktion rechts davon
# Bsp.
# ggvis(sampledata, ~samplex, ~sampley)
# ist das gleiche wie
# sampledata %>% ggivs(~samplex, ~sampley)
# nur sehr viel bersichtlicher bei vielen Befehlen


#Definieren des Beispiel datensatzes, fr anschaulichere Beispiele lsst sicht der
#eingebaute Datensatz mtcars nehmen
samplex <- c(1,2,3,4,5,6,7,8,9) # Daten fr die X Achse definieren
sampley <- c(20,19,18,14,12,6,4,2,5) # Daten fr die Y Achse definieren
sampledata <- data.frame(samplex, sampley) # Daten in einen data frame laden

sampledata %>% # Datensatz bergeben an ggvis
# X und Y Achsen bestimmen
# ~ fr daten innerhalb des datensatzes verwenden
ggvis(~samplex, ~sampley) %>% # ggvis an die layer Funtkion bergeben
layer_points() %>% # Layer ausfhren um das Rendern zu starten

# Optional lassen sich nun noch weitere Funktionen ernzen
layer_smooths() %>% # Wie eine gelttete Linie
layer_model_predictions(model = "lm", se = TRUE) # Oder auch eine Trendline